콘텐츠로 건너뛰기

LTX 2.5 Pro Image to Video

통합

모델 id lightricks/ltx-2.5/image-to-video/pro
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/lightricks/ltx-2.5/image-to-video/pro?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/dev-api/2026/10/21/req_m47cpdni6njc4mezryvt9kg2/0-fUu2PV5voQYZjKUW9sc_1_qYL5cs4B.png",
    "prompt": "The camera glides forward and slowly tilts up toward the peaks, icebergs drift gently, clouds move across the sky and the morning light grows brighter.",
    "duration": 6,
    "resolution": "720p",
    "generate_audio": false
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청: $0.72 720 API 크레딧 · ≈ ₽77.46 이 페이지에서 실행

API 키 받기
Lightricks 이미지를 동영상으로 네이티브 오디오6–10 s최대 1080p #audio#camera-control#first-last-frame

시작 이미지를 애니메이션화하고 선택적으로 끝 이미지로 전환하는 6 to 10초 LTX 2.5 Pro 클립 및 오디오

예시

입력
출력 · ~39 s

프롬프트The camera glides forward and slowly tilts up toward the peaks, icebergs drift gently, clouds move across the sky and the morning light grows brighter.

6 s720pgenerate_audio: false$0.72 · 720 API 크레딧

요청 만들기

컨트롤은 모델 스키마에서 생성됩니다. 값을 변경하면 코드와 가격이 업데이트됩니다.

•필수 151 / 5000

동영상 생성을 안내하는 프롬프트입니다.

•필수 image_url
파일을 끌어다 놓거나

출력 동영상을 시작하는 이미지를 가리키는 URL입니다.

duration 6 s

동영상 길이 선택입니다. 초 단위로 지정하거나 모델이 결정하도록 'auto'를 선택합니다. 최대 길이는 10초입니다.

resolution

출력 동영상에 사용되는 해상도입니다.

aspect_ratio 기본값 auto

동영상 화면비입니다. 'auto'를 통해 이미지에서 비율을 가져올 수 있습니다.

camera_motion

출력 동영상의 선택적 카메라 움직임입니다.

고급 end_image · fps
end_image_url
파일을 끌어다 놓거나

선택적 전환 대상입니다. 이미지 URL로 제공하며, 포함하면 생성된 동영상이 시작 프레임에서 이 최종 이미지로 전환됩니다.

fps 기본값 25

초당 프레임 수로 측정되는 출력 동영상 프레임 속도입니다.

POST /run/lightricks/ltx-2.5/image-to-video/pro?wait=20 견적 → $0.72
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/lightricks/ltx-2.5/image-to-video/pro?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/dev-api/2026/10/21/req_m47cpdni6njc4mezryvt9kg2/0-fUu2PV5voQYZjKUW9sc_1_qYL5cs4B.png",
    "prompt": "The camera glides forward and slowly tilts up toward the peaks, icebergs drift gently, clouds move across the sky and the morning light grows brighter.",
    "duration": 6,
    "resolution": "720p",
    "generate_audio": false
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청 실행

키는 이 브라우저에 유지됩니다. Doitong API로만 전송되며, 기억하기를 선택한 경우에만 localStorage에 저장됩니다. API 키 받기

LTX 2.5 Pro Image to Video 정보

LTX 2.5 Pro image-to-video는 첫 프레임을 애니메이션화하고 끝 프레임으로 마무리할 수 있으며 생성된 오디오를 추가합니다. 이름이 지정된 카메라 이동 (dolly, jib, static 또는 focus shift)도 지원합니다. 6, 8 또는 10초 또는 자동 길이, 720p 또는 1080p, 24, 25 또는 50 fps입니다.

매개변수

표준 이름이나 네이티브 이름 중 하나만 보내세요. 표준 이름

이름유형 기본값허용됨 설명
image_url필수 image
유형url · image
출력 동영상을 시작하는 이미지를 가리키는 URL입니다.
end_image_url선택 사항 end_image
유형url · image
선택적 전환 대상입니다. 이미지 URL로 제공하며, 포함하면 생성된 동영상이 시작 프레임에서 이 최종 이미지로 전환됩니다.
prompt필수
유형string
≤ 5,000자
동영상 생성을 안내하는 프롬프트입니다.
duration선택 사항
유형enum
기본값auto
6810auto
동영상 길이 선택입니다. 초 단위로 지정하거나 모델이 결정하도록 'auto'를 선택합니다. 최대 길이는 10초입니다.
resolution선택 사항
유형enum
기본값1080p
720p1080p
출력 동영상에 사용되는 해상도입니다.
aspect_ratio선택 사항
유형enum
기본값auto
auto16:99:16
동영상 화면비입니다. 'auto'를 통해 이미지에서 비율을 가져올 수 있습니다.
fps선택 사항
유형enum
기본값25
242550
초당 프레임 수로 측정되는 출력 동영상 프레임 속도입니다.
generate_audio선택 사항
유형boolean
기본값true
출력 동영상의 오디오 생성 토글입니다.
camera_motion선택 사항
유형enum
dolly_indolly_outdolly_leftdolly_rightjib_upjib_downstaticfocus_shift
출력 동영상의 선택적 카메라 움직임입니다.
필수 표준 이름, 사용 가능

파일 매개변수에는 공개 https:// URL, 최대 10 MB의 data: URI 또는 업로드의 file_url을 사용할 수 있습니다. 파일

출력

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "lightricks/ltx-2.5/image-to-video/pro",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 720,
    "usd": "0.72",
    "charged": 720,
    "refunded": 0
  },
  "input": {
    "prompt": "Fireflies swirl around the fox as it slows down and looks back over its shoulder",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "duration": 6,
    "resolution": "720p",
    "camera_motion": "static"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "fps": 1.0,
      "duration": 5,
      "num_frames": 1
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
파일 보관 방식 선택모든 outputs[].url은 스토리지에 저장된 복사본입니다. 계정 설정 또는 ?storage=에 따라 영구 보관(GB-월 단위 과금)하거나 7일 동안 무료로 보관합니다.
모든 모델에서 동일한 구조이미지, 동영상, 오디오 모두 type, url, content_type, width, height 및 duration을 사용합니다. output은 모델 자체의 결과 객체입니다.
출력 필드
video
object {url, content_type, file_name, file_size, width, height, fps, duration, num_frames}결과 동영상 파일입니다.

더 많은 모델: 이미지를 동영상으로

AI 에이전트용: 이 페이지의 Markdown 버전: https://doitong.com/ko/developers/models/lightricks/ltx-2.5/image-to-video/pro.md. 모든 모델 및 가이드: https://doitong.com/developers/llms.txt